
Katello - Bug #4803

"NameError (uninitialized constant MultiJson::LoadError)" when syncing from external yum repo

03/24/2014 03:16 PM - Jan Hutař

Status: Closed   

Priority: Normal   

Assignee:    

Category: API   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I have noticed these in /var/log/foreman/production.log while syncing from external repo:

NameError (uninitialized constant MultiJson::LoadError):

  lib/middleware/catch_json_parse_errors.rb:10:in `rescue in call'

  lib/middleware/catch_json_parse_errors.rb:8:in `call'

  lib/middleware/catch_json_parse_errors.rb:9:in `call'

NameError (uninitialized constant MultiJson::LoadError):

  lib/middleware/catch_json_parse_errors.rb:10:in `rescue in call'

  lib/middleware/catch_json_parse_errors.rb:8:in `call'

  lib/middleware/catch_json_parse_errors.rb:9:in `call'

NameError (uninitialized constant MultiJson::LoadError):

  lib/middleware/catch_json_parse_errors.rb:10:in `rescue in call'

  lib/middleware/catch_json_parse_errors.rb:8:in `call'

  lib/middleware/catch_json_parse_errors.rb:9:in `call'

 I have these packages:

# rpm -qa | grep -e katello -e foreman | sort

foreman-1.5.0.10-1.el6sat.noarch

foreman-compute-1.5.0.10-1.el6sat.noarch

foreman-libvirt-1.5.0.10-1.el6sat.noarch

foreman-ovirt-1.5.0.10-1.el6sat.noarch

foreman-postgresql-1.5.0.10-1.el6sat.noarch

foreman-proxy-1.5.3-1.el6sat.noarch

foreman-selinux-1.5.0-0.develop.el6sat.noarch

foreman-vmware-1.5.0.10-1.el6sat.noarch

katello-1.5.0-18.el6sat.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.30-1.el6sat.noarch

pulp-katello-plugins-0.2-1.el6sat.noarch

ruby193-rubygem-foreman-tasks-0.4.0-5.el6sat.noarch

ruby193-rubygem-katello-1.5.0-23.el6sat.noarch

rubygem-foreman_api-0.1.11-4.el6sat.noarch

rubygem-hammer_cli_foreman-0.0.18-8.el6sat.noarch

rubygem-hammer_cli_foreman_tasks-0.0.1-4.el6sat.noarch

rubygem-hammer_cli_katello-0.0.3-6.el6sat.noarch

rubygem-katello_api-0.0.8-2.el6sat.noarch

something-foreman-client-1.0-1.noarch

something-foreman-proxy-1.0-1.noarch

History
#1 - 03/24/2014 03:54 PM - Dominic Cleal

- Project changed from Foreman to Katello

- Triaged set to No

The JSON parse errors middleware appears to work in Foreman on an RPM installation, using ruby193-rubygem-multi_json-1.8.2-1.el6.noarch.rpm. 

Passing to Katello in case this is specific to the sync mechanism, no Foreman reproducer was supplied.

I'd suggest that bugs in Satellite 6 are reported to RHBZ in the first instance though.

#2 - 04/25/2014 11:55 AM - Justin Sherrill

- translation missing: en.field_release set to 13

#3 - 06/04/2014 01:07 PM - Eric Helms

- Category set to API

- Target version set to 45

- Difficulty set to easy

- Triaged changed from No to Yes

#4 - 06/16/2014 12:02 PM - Eric Helms

- Target version changed from 45 to 48

#5 - 06/17/2014 05:18 PM - Eric Helms

- Status changed from New to Closed

In the latest builds, this has not be reproduced. Please re-open in the event you still see this isssue.
